<div id="post-fu-success" style="display:none">
    <div class="alert alert-dismissable alert-info">
      <div style="float:left; font-size:70px; padding-right: 20px"><i class="glyphicon glyphicon-ok-sign"></i></div>
      <button type="button" class="close" data-dismiss="alert">×</button>
        <h1 style="margin-top: 10px;"><?php echo $lang['Success'] ;?></h1>
        <p id="post-fu-alert-success"><a href="http://phpn.in/ja">PHPNinja</a></p>
    </div>
</div>
<div id="post-fu" class="panel panel-primary" style="display:none">
  <div class="panel-heading">
    <h4><?php echo $lang['Post-fu-title'];?></h4>
  </div>
  <div class="panel-body fu-listing">
    <div class="row" style="padding: 5px;">
	    <div class="col-lg-12">
	    	<div class="post-fu-alert alert alert-dismissable alert-danger" style="display: none">
              <button type="button" class="close" data-dismiss="alert">×</button>
              <p id="post-fu-alert-p"></p>
            </div>
	    	<form class="bs-example form-horizontal" method="POST" data-pu="<?php echo $ninja_config['siteUrl'];?>/ninja-applications/fufu/controllers/post-fu.php" id="post-fu-form">
                <fieldset>
                  <input type="hidden" name="token" value="<?php echo $_SESSION['token'];?>">
                  <input type="hidden" name="action" value="add_fu">
                  <div class="form-group">
                    <label class="col-lg-2 control-label"><?php echo $lang['Fu-title'];?></label>
                    <div class="col-lg-10">
                      <input type="text" class="form-control" name="title" pattern=".{<?php echo $fufu_config['title_min'].','.$fufu_config['title_max'];?>}" required title="<?php printf($lang['fu-title-limit'], $fufu_config['title_min'], $fufu_config['title_max']);?>" placeholder="<?php echo $lang['Input-fu-title'];?>">
                    </div>
                  </div>
                  <div class="form-group">
                    <label class="col-lg-2 control-label"><?php echo $lang['Fu-description'];?></label>
                    <div class="col-lg-10" style="position:relative">
                      <textarea class="form-control" id="fu-desc-txt" name="description" placeholder="<?php echo $lang['Input-fu-desc'];?>"></textarea>
                      <span class="label label-danger" id="fu-desc-c" data-max="<?php echo $fufu_config['desc_max'];?>"><?php echo $fufu_config['desc_max'];?></span>
                    </div>
                  </div>
                  <div class="form-group">
                    <label class="col-lg-2 control-label"><?php echo $lang['fu-type-choose'];?></label>
                    <div class="col-lg-10">
	                   	<div class="btn-group">
		                  <?php if(in_array('video', $fufu_config['fu_type'])): ?>
                        <button type="button" class="btn btn-danger btn-xs select-fu-type" data-select="video"><i class="icon-videocam-1"></i> <?php echo $lang['video-url'];?></button>
		                  <?php endif; ?>
                      <?php if(in_array('image', $fufu_config['fu_type']) || in_array('gif', $fufu_config['fu_type'])): ?>
                        <button type="button" class="btn btn-danger btn-xs select-fu-type" data-select="image"><i class="icon-picture-outline"></i> <?php echo $lang['fu-image'];?></button>
		                  <?php endif; ?>
                      <?php if(in_array('gallery', $fufu_config['fu_type'])): ?>
                        <button type="button" class="btn btn-danger btn-xs select-fu-type" data-select="gallery"><i class="icon-picture-1"></i> <?php echo $lang['Gallery'];?></button>
                      <?php endif; ?>
                      <?php if(in_array('vine', $fufu_config['fu_type'])): ?>
                        <button type="button" class="btn btn-danger btn-xs select-fu-type" data-select="vine"><i class="icon-play-5"></i> <?php echo $lang['Vine'];?></button>
                      <?php endif; ?>
                      <?php if(in_array('soundcloud', $fufu_config['fu_type'])): ?>
                        <button type="button" class="btn btn-danger btn-xs select-fu-type" data-select="soundcloud"><i class="icon-music"></i> <?php echo $lang['Soundcloud'];?></button>
                      <?php endif; ?>
                    </div>
                    </div>
                  </div>
                  <?php if(in_array('video', $fufu_config['fu_type'])): ?>
                    <!--  INPUT VIDEO
              						INPUT VIDEO
              						INPUT VIDEO -->
                    <div id="input-video" class="hidden-input" style="display: none">
  	                  <div class="form-group">
  	                    <label class="col-lg-2 control-label"><?php echo $lang['video-url'];?></label>
  	                    <div class="col-lg-10">
                        		<input type="text" name="video-url" class="form-control" placeholder="<?php echo $lang['input-video-url'];?>">
  	                    </div>
  	                  </div>
                    </div>
                  <?php endif; ?>
                  <?php if(in_array('image', $fufu_config['fu_type']) || in_array('gif', $fufu_config['fu_type'])): ?>
                    <!--  INPUT IMAGE
              						INPUT IMAGE
              						INPUT IMAGE -->
                    <div id="input-image" class="hidden-input" style="display: none">
  	                  <div class="form-group">
  	                    <label class="col-lg-2 control-label"><?php echo $lang['fu-img-url'];?></label>
  	                    <div class="col-lg-10">
                        		<input type="text" id="input-img-url" class="form-control" name="img-url" placeholder="<?php echo $lang['input-img-url'];?>">
  	                      </div>
  	                    </div>
  	                  <div class="form-group">
  	                    <label class="col-lg-2 control-label"></label>
  	                    <div class="col-lg-10">
                          <div id="container" style="display:none"></div>
                          <div id="filelist" style="display:none"></div>
                      		<a id="pickfiles" class="btn btn-primary">
                            <i class="fa fa-upload"></i> <?php echo $lang['fu-up-from-com'];?>
                          </a>

                          <img id="demo-img">
                          <p id="upload-percentage"></p>
                          <p id="upload-ex">
                            <i><?php   if(in_array('gif', $fufu_config['fu_type'])):
                                  echo $lang['fu-allow-img-gif'];
                                else:
                                  echo $lang['fu-allow-img'];
                                endif;
                            ?>
                            <br />
                            <?php echo $lang['Max-file-size'].' '.$fufu_config['img_upload_size'].'mb';?>
                            </i>
                          </p>
	                      </div>
                      </div>
                    </div>
                  <?php endif; ?>


                  <?php if(in_array('gallery', $fufu_config['fu_type'])): ?>
                  <!-- INPUT IMAGE GALLERY (IMAGES) -->

                    <div id="input-gallery" class="hidden-input" style="display: none">
  	                  <div class="form-group">
  	                    <label class="col-lg-2 control-label"><?php echo $lang['fu-imgs-url'];?></label>
  	                    <div class="col-lg-10">
                        		<textarea id="input-imgs-url" class="form-control" name="imgs-url" placeholder="<?php echo $lang['input-imgs-url'];?>"></textarea>
  	                      </div>
  	                    </div>
  	                  <div class="form-group">
  	                    <label class="col-lg-2 control-label"></label>
  	                    <div class="col-lg-10">
                          <div id="container2" style="display:none"></div>
                          <div id="filelist2" style="display:none"></div>
                      		<a id="pickfiles2" class="btn btn-primary">
                            <i class="fa fa-upload"></i> <?php echo $lang['fu-up-from-com'];?>
                          </a>

                          <img id="demo-img2">
                          <p id="upload-percentage2"></p>
                          <p id="upload-ex2">
                            <i>
                            <?php echo $lang['Max-file-size'].' '.$fufu_config['img_upload_size'].'mb';?>; <?php echo $lang['img_max_gallery'] . ' ' . $fufu_config['img_limit_gallery']; ?>
                            </i>
                          </p>
	                      </div>
                      </div>
                    </div>
                  <?php endif; ?>

                  <!--  INPUT VINE -->
                  <?php if(in_array('vine', $fufu_config['fu_type'])): ?>
                    <div id="input-vine" class="hidden-input" style="display: none">
                      <div class="form-group">
                        <label for="inputPassword" class="col-lg-2 control-label"><?php echo $lang['vine-url'];?></label>
                        <div class="col-lg-10">
                            <input type="text" class="form-control" name='vine-url' placeholder="<?php echo $lang['input-vine-url'];?>">
                        </div>
                      </div>
                    </div>
                  <?php endif; ?>
                  <!--  INPUT VINE END -->

                  <!-- SOUND CLOUD INPUT -->
                  <?php if(in_array('soundcloud', $fufu_config['fu_type'])): ?>
                    <div id="input-soundcloud" class="hidden-input" style="display: none">
                      <div class="form-group">
                        <label for="inputPassword" class="col-lg-2 control-label"><?php echo $lang['soundcloud-url'];?></label>
                        <div class="col-lg-10">
                            <input type="text" class="form-control" name='soundcloud' placeholder="<?php echo $lang['input-soundcloud-url'];?>">
                        </div>
                      </div>
                    </div>
                  <?php endif; ?>
                  <!-- END SOUND CLOUD INPUT -->

                  <?php if($fufu_config['is_cat'] == '1'): ?>
                  <div class="form-group">
                    <label for="inputPassword" class="col-lg-2 control-label"><?php echo $lang['Category'];?></label>
                    <div class="col-lg-10">
                    	<select name="cat" class="form-control">
                    		<?php $ninja_fufu->print_cat_selections(); ?>
                    	</select>
                    </div>
                  </div>
              	  <?php endif; ?>
                  <div class="form-group">
                    <label for="inputPassword" class="col-lg-2 control-label"><?php echo $lang['Source-opt'];?></label>
                    <div class="col-lg-10">
                  		<input type="text" name="source" class="form-control" placeholder="<?php echo $lang['url-to-creator'];?>">
                    </div>
                  </div>
                  <div class="form-group">
                    <div class="col-lg-10 col-lg-offset-2">
                      <button type="submit" id="btn-post-submit" class="btn btn-primary"><i class="icon-paper-plane"></i> <?php echo $lang['Submit']; ?></button> 
                      <button type="submit" id="btn-post-waiting" class="btn btn-primary" style="display:none"><i class="icon-spin1 animate-spin"></i> <?php echo $lang['Please-wait']; ?></button> 
                      <button type="button" class="btn btn-default c-s-btn"><?php echo $lang['Cancel'];?></button> 
                    </div>
                  </div>
                </fieldset>
            </form>      	
	    </div>
    </div>
  </div>
</div> 

<script type="text/javascript">
 $(document).ready(function() {
	// Single Image uploader
	<?php if(in_array('image', $fufu_config['fu_type']) || in_array('gif', $fufu_config['fu_type'])): ?>
    var uploader = new plupload.Uploader({
        runtimes : 'html5,flash,silverlight,html4',
        browse_button : 'pickfiles',  
        container: document.getElementById('container'),
        url : '<?php echo $ninja_config['siteUrl'];?>/ninja-applications/fufu/controllers/uploader/upload.php',
        flash_swf_url : '<?php echo $ninja_config['siteUrl'];?>/ninja-applications/fufu/controllers/uploader/Moxie.swf',
        silverlight_xap_url : '<?php echo $ninja_config['siteUrl'];?>/ninja-applications/fufu/controllers/uploader/Moxie.xap',
        multi_selection: false,
        unique_names: true,
          chunk_size : '10mb',
        filters : {
          max_file_size : '<?php echo $fufu_config['img_upload_size'];?>mb',
          mime_types: [
            <?php   if(in_array('gif', $fufu_config['fu_type'])): ?>
              {title : "Image files", extensions : "jpg,gif,png,jpeg"},
            <?php else: ?>
              {title : "Image files", extensions : "jpg,png,jpeg"},
            <?php endif; ?> 
          ]
        },

        init: {
          PostInit: function() {
            document.getElementById('filelist').innerHTML = '';
          },

          FilesAdded: function(up, files) {
            plupload.each(files, function(file) {
              document.getElementById('filelist').innerHTML += '<div id="' + file.id + '">' + file.name + ' (' + plupload.formatSize(file.size) + ') <b></b></div>';
            });
            uploader.start();
          },
          FileUploaded: function(up, files, response) {
            var objResponse = JSON.parse(response.response);
            $('#pickfiles').hide();
            $('#upload-ex').hide();
            $("#demo-img").attr("src",'<?php echo $ninja_config['siteUrl'];?>/uploads/temp/'+objResponse.cleanFileName).show();
            $('#input-img-url').val('<?php echo $ninja_config['siteUrl'];?>/uploads/temp/'+objResponse.cleanFileName).hide();
          },

          UploadProgress: function(up, file) {
            $('#upload-percentage').text(file.percent + '%');
          },

          Error: function(up, err) {
            $('#console').html($('#console').html()+"\nError #" + err.code + ": " + err.message);
          }
        }
      });
	
    uploader.init();
	<?php endif; ?>

	<?php if(in_array('gallery', $fufu_config['fu_type'])): ?>
	// Multi-Image uploader
    var uploader2 = new plupload.Uploader({
        runtimes : 'html5,flash,silverlight,html4',
        browse_button : 'pickfiles2',  
        container: document.getElementById('container'),
        url : '<?php echo $ninja_config['siteUrl'];?>/ninja-applications/fufu/controllers/uploader/upload.php',
        flash_swf_url : '<?php echo $ninja_config['siteUrl'];?>/ninja-applications/fufu/controllers/uploader/Moxie.swf',
        silverlight_xap_url : '<?php echo $ninja_config['siteUrl'];?>/ninja-applications/fufu/controllers/uploader/Moxie.xap',
        multi_selection: true,
        unique_names: true,
          chunk_size : '10mb',
        filters : {
          max_file_size : '<?php echo $fufu_config['img_upload_size'];?>mb',
          mime_types: [
              {title : "Image files", extensions : "jpg,png,jpeg"},
          ]
        },

        init: {
          PostInit: function() {
            document.getElementById('filelist').innerHTML = '';
          },

          FilesAdded: function(up, files) {
            plupload.each(files, function(file) {
              document.getElementById('filelist').innerHTML += '<div id="' + file.id + '">' + file.name + ' (' + plupload.formatSize(file.size) + ') <b></b></div>';
            });
            uploader2.start();
          },
          FileUploaded: function(up, files, response) {
            var objResponse = JSON.parse(response.response);
            //$('#pickfiles2').hide();
            $('#upload-ex2').hide();
            document.getElementById('input-imgs-url').value += '<?php echo $ninja_config['siteUrl'];?>/uploads/temp/'+objResponse.cleanFileName+';';
          	$("#input-img-url").height( $("#input-img-url")[0].scrollHeight );
			
          },

          UploadProgress: function(up, file) {
            $('#upload-percentage2').text(file.percent + '%');
            if(file.percent === 100){
            	$('#upload-percentage2').hide();
            }
          },

          Error: function(up, err) {
            $('#console').html($('#console').html()+"\nError #" + err.code + ": " + err.message);
          }
        }
      });

	
      uploader2.init();
	  <?php endif; ?>

    });
</script>