<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <title><?php echo $fufu_seo_setting['hometitle']; ?></title>
    <meta name="description" content="<?php echo $fufu_seo_setting['homedescription'];?>">
    <meta name="keyword" content="<?php echo $fufu_seo_setting['homekeyword'];?>">
    <meta name="author" content="<?php echo $fufu_seo_setting['author'];?>">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <link rel="stylesheet" href="<?php echo $ninja_config['siteUrl'];?>/ninja-applications/fufu/themes/default/assets/css/top-user.css">
    <?php include ROOT_DIR.'/ninja-applications/fufu/themes/default/layouts/head_tag.php'; ?>
  </head>
  <body>

    <div id="fb-root"></div>
    <script>(function(d, s, id) {
      var js, fjs = d.getElementsByTagName(s)[0];
      if (d.getElementById(id)) return;
      js = d.createElement(s); js.id = id;
      js.src = "//connect.facebook.net/en_US/all.js#xfbml=1&appId=<?php echo !isset($fufu_config['fb_id']) ? '342802565860349' : $fufu_config['fb_id'];?>";
      fjs.parentNode.insertBefore(js, fjs);
    }(document, 'script', 'facebook-jssdk'));</script>
    
    <?php include ROOT_DIR.'/ninja-applications/fufu/themes/default/layouts/log-reg.php'; ?>
    <?php include ROOT_DIR.'/ninja-applications/fufu/themes/default/layouts/navbar.php'; ?>


    <?php include ROOT_DIR.'/ninja-applications/fufu/themes/default/layouts/trending.php'; ?>

    <div class="container">

      <!-- Buttons
      ================================================== -->
      <div class="content">

        <div class="row">
          <div class="col-lg-8">

            <div class="visible-xs">
                <!-- DIV OF SUBMIT AND MODERATE BUTTON -->
                <button class="scroll-to-btn btn btn-danger btn-md sb-submit-btn"><i class="icon-paper-plane"></i> <?php echo $lang['Submit-fu'];?></button>
                <a class="scroll-to-btn  btn btn-info btn-md sb-mod-btn"><i class="glyphicon glyphicon-user"></i> <?php echo $lang['Become-a-moderator'];?></a>
            </div>

            <?php include 'layouts/post-fu-div.php'; ?>
            <?php include 'layouts/ads1.html'; ?>
              <ul class="nav nav-tabs" role="tablist">
                <li role="presentation" class="active"><a href="#top-u" aria-controls="home" role="tab" data-toggle="tab"><?php echo $lang['Top-user'] ?></a></li>
                <li role="presentation"><a href="#new-u" aria-controls="profile" role="tab" data-toggle="tab"><?php echo $lang['Newest-user'] ?></a></li>
              </ul>
              <div class="tab-content">
                <div role="tabpanel" class="tab-pane active" id="top-u">
                  <ul class="event-list">
                    <?php $i = 0; foreach($topUsers as &$user): $i++; $user['social_network'] = json_decode($user['social_network'], true); ?>
                    <li>
                      <time>
                        <span class="day"><?php echo $i ?></span>
                        <span class="month"><?php echo rank_suffix($i) ?></span>
                      </time>
                      <img alt="<?php echo $user['displayname'] ?>" src="<?php echo str_replace('{{siteUrl}}',$ninja_config['siteUrl'], $user['avatar']);?>" />
                      <div class="info">
                        <h2 class="title"><?php echo $user['displayname'] ?></h2>
                        <p class="desc">        
                          <small><a href="<?php echo $ninja_config['siteUrl'].'/'.$lang['user-slug'].'/'.$user['username']?>">@<?php echo $user['username'];?></a> <br /> 
                          <?php echo '<strong>'.$lang['Points'].'</strong>: '.$user['point'];?> <br /></small></p>
                      </div>
                      <div class="social">
                        <ul>
                          <li class="facebook" style="width:33%;"><a href="<?php echo (0 === strpos($user['social_network']['facebook'], 'http')) ? $user['social_network']['facebook'] : '#facebook' ?>"><span class="fa fa-facebook"></span></a></li>
                          <li class="twitter" style="width:34%;"><a href="<?php echo (0 === strpos($user['social_network']['twitter'], 'http')) ? $user['social_network']['twitter'] : '#twitter' ?>"><span class="fa fa-twitter"></span></a></li>
                          <li class="google-plus" style="width:33%;"><a href="<?php echo (0 === strpos($user['social_network']['google'], 'http')) ? $user['social_network']['google'] : '#google-plus' ?>"><span class="fa fa-google-plus"></span></a></li>
                        </ul>
                      </div>
                    </li>
                    <?php endforeach; ?>
                  </ul>
                </div>
                <div role="tabpanel" class="tab-pane" id="new-u">
                  <ul class="event-list">
                    <?php $i = 0; foreach($newUsers as &$user): $reg = strtotime($user['register_date']); $user['social_network'] = json_decode($user['social_network'], true); ?>
                    <li>
                      <time>
                        <span class="day"><?php echo date('d', $reg) ?></span>
                        <span class="month"><?php echo date('M', $reg) ?></span>
                      </time>
                      <img alt="<?php echo $user['displayname'] ?>" src="<?php echo str_replace('{{siteUrl}}',$ninja_config['siteUrl'], $user['avatar']);?>" />
                      <div class="info">
                        <h2 class="title"><?php echo $user['displayname'] ?></h2>
                        <p class="desc">        
                          <small><a href="<?php echo $ninja_config['siteUrl'].'/'.$lang['user-slug'].'/'.$user['username']?>">@<?php echo $user['username'];?></a> <br /> 
                          <?php echo '<strong>'.$lang['Points'].'</strong>: '.$user['point'];?> <br /></small></p>
                      </div>
                      <div class="social">
                        <ul>
                          <li class="facebook" style="width:33%;"><a href="<?php echo (0 === strpos($user['social_network']['facebook'], 'http')) ? $user['social_network']['facebook'] : '#facebook' ?>"><span class="fa fa-facebook"></span></a></li>
                          <li class="twitter" style="width:34%;"><a href="<?php echo (0 === strpos($user['social_network']['twitter'], 'http')) ? $user['social_network']['twitter'] : '#twitter' ?>"><span class="fa fa-twitter"></span></a></li>
                          <li class="google-plus" style="width:33%;"><a href="<?php echo (0 === strpos($user['social_network']['google'], 'http')) ? $user['social_network']['google'] : '#google-plus' ?>"><span class="fa fa-google-plus"></span></a></li>
                        </ul>
                      </div>
                    </li>
                    <?php endforeach; ?>
                  </ul></div>
              </div>

            <?php include 'layouts/ads2.html'; ?>
          </div>

          <div class="col-lg-4">
            <?php include 'layouts/sidebar.php'; ?>
          </div>

        </div>
      </div>

    </div>


   
    <?php include 'layouts/footer.php'; ?>

    <?php include 'layouts/beforebody.html'; ?>

  </body>
</html>