<?php

include '../../../ninja-controllers/cont.main.php';
require_once('twitteroauth/twitteroauth.php');

if(isset($_SESSION['thisUser'])){
	header('Location: ' . $ninja_config['siteUrl']);
}else{
	$connection = new TwitterOAuth(trim($user_config['tw-consumer-key']), trim($user_config['tw-consumer-secret']));
	$request_token = $connection->getRequestToken($ninja_config['siteUrl'].'/ninja-applications/user/twitter/oauth.php'); 

	if(	$request_token)
	{
		$token = $request_token['oauth_token'];
		$_SESSION['tw_request_token'] = $token ;
		$_SESSION['tw_request_token_secret'] = $request_token['oauth_token_secret'];
		
		switch ($connection->http_code) 
		{
			case 200:
				$url = $connection->getAuthorizeURL($token);
				//redirect to Twitter .
		    	header('Location: ' . $url); 
			    break;
			default:
			    echo "Couldn't connect to twitter Oauth Server due to connection problem";
		    	break;
		}

	}
	else //error receiving request token
	{
		echo "Error Receiving Request Token";
	}
	

}



?>