	<?php

		if(ADMIN_VALID != 1){ 
			header('Location: http://phpn.in');
			exit;
		}
		$this_theme = 'fufutv';
	?>
	<div class="widget bg-color white rounded">
		<div class="box-padding">
			<form class="form-horizontal noty-form" data-r="index.php?view=theme_option&app=fufu" data-pu="<?php echo $ninja_config['siteUrl'].'/ninja-controllers/cont.writeToFile.php'; ?>">
			  <input type="hidden" name="file" value="<?php echo ROOT_DIR.'/ninja-applications/fufu/themes/'.$this_theme.'/libs/config.theme.inc'; ?>">
			  <h2 class="offset2">Logo</h2>
			  <div class="control-group">
			    <label class="control-label">Logo format</label>
			    <div class="controls">
			      <select name="data[logo_format]" class="input-xlarge">
			      	<option value="text" <?php echo $fufu_theme['logo_format'] == 'text' ? 'selected' : '' ?>>Text</option>
			      	<option value="image" <?php echo $fufu_theme['logo_format'] == 'image' ? 'selected' : '' ?>>Image</option>
			      </select>
			    </div>
			  </div>
			  <div class="control-group">
			    <label class="control-label">Logo Text Content</label>
			    <div class="controls">
			      <input type="text" name="data[logo_text]" class="input-xlarge" value="<?php echo $fufu_theme['logo_text'];?>">
			      <label>This will be used if you choose logo format as text</label>
			    </div>
			  </div>
			  <div class="control-group">
			    <label class="control-label">Logo Image link</label>
			    <div class="controls">
			      <input type="text" id="logo_image" name="data[logo_image]" class="input-xlarge" value="<?php echo $fufu_theme['logo_image'];?>">
			      <button type="button" class="btn btn-primary" onclick="window.open('uploader/custom.php?isThumbs=0&maxwidth=900&maxheight=1000&sub_folders=fufu&prefix=logo&max_size=20mb&field_id=logo_image','','width=500,height=500');"><i class="fa fa-upload"></i> Upload</button>
			      <label>This will be used if you choose logo format as image, best height for this theme is 45px.</label>
			    </div>
			  </div>
			  <div class="control-group">
			    <label class="control-label">Logo Image out of div</label>
			    <div class="controls">
			      <select name="data[logo_out]" class="input-xlarge">
			      	<option value="1" <?php echo $fufu_theme['logo_out'] == '1' ? 'selected' : '' ?>>Yes</option>
			      	<option value="0" <?php echo $fufu_theme['logo_out'] == '0' ? 'selected' : '' ?>>No</option>
			      </select>
			      <label>Make your logo image fly out of navbar</label>
			    </div>
			  </div>
			  <div class="control-group">
			    <label class="control-label">Favicon link</label>
			    <div class="controls">
			      <input type="text" id="favicon_img" name="data[favicon_img]" class="input-xlarge" value="<?php echo $fufu_theme['favicon_img'];?>">
			      <button type="button" class="btn btn-primary" onclick="window.open('uploader/custom.php?isThumbs=0&maxwidth=32&maxheight=32&sub_folders=fufu&prefix=logo&max_size=20mb&field_id=favicon_img','','width=500,height=500');"><i class="fa fa-upload"></i> Upload</button>
			      <label></label>
			    </div>
			  </div>
			  <div class="control-group">
			    <label class="control-label">Logo fly out's height</label>
			    <div class="controls">
			      <input type="text" name="data[logo_height]" class="input-xlarge" value="<?php echo $fufu_theme['logo_height'];?>">
			      <label>If you want the logo to fly out of navbar, please give an exact (or nearly) height of your logo (in pixel)</label>
			    </div>
			  </div>

			  <div class="control-group">
			    <label class="control-label">Logo fly out's width</label>
			    <div class="controls">
			      <input type="text" name="data[logo_width]" class="input-xlarge" value="<?php echo $fufu_theme['logo_width'];?>">
			      <label>If you want the logo to fly out of navbar, please give an exact (or nearly) width of your logo (in pixel)</label>
			    </div>
			  </div>

			  
			  <hr />
			  <h2 class="offset2">Bootstrap css files</h2>
			  <div class="control-group">
			    <label class="control-label">Css file</label>
			    <div class="controls">
			      <select name="data[bootstrap_css]" class="input-xlarge">
			      	<?php 
		            if ($handle = opendir(ROOT_DIR.'/ninja-applications/fufu/themes/fufutv/assets/css/bootstrap')) {
		                while (false !== ($entry = readdir($handle))) {
		                    if ($entry != "." && $entry != "..") {
		                    	if($fufu_theme['bootstrap_css'] == $entry){ $selected = 'selected'; }else{ $selected = '';}
		                        echo '<option value="'.$entry.'" '.$selected.'>'.$entry.'</option>';
		                    }
		                }
		                closedir($handle);
		           	}
		           	?>
			      </select>
			      <label>To install new bootstrap css style, add the css file to ninja-applications/fufu/themes/fufutv/assets/css/bootstrap/</label>
			    </div>
			  </div>
			  


			  <hr />
			  <h2 class="offset2">Trending</h2>
			  <div class="control-group">
			    <label class="control-label">Features videos:</label>
			    <div class="controls">
			      <input type="text" name="data[features]" class="input-xlarge" value="<?php echo $fufu_theme['features'];?>">
			      <label>Input 5 video ids in this field to featured them</label>
			    </div>
			  </div>

			  <hr />
			  <h2 class="offset2">Comments</h2>
			  <div class="control-group">
			    <label class="control-label">Comment per page:</label>
			    <div class="controls">
			      <input type="text" name="data[cm_per_page]" class="input-xlarge" value="<?php echo $fufu_theme['cm_per_page'];?>">
			      <label>3 is recommended</label>
			    </div>
			  </div>

			  <div class="control-group">
			    <div class="controls">
			      <button type="submit" class="btn">Submit</button>
			    </div>
			  </div>
			</form>
		</div>
	</div>