$(function () {

    $('.comment-txt').keyup(function(e) {
        var c = $(this).siblings('#comment-c'),
            max = c.data("max"),
            min = c.data("min"),
            text = $(this).val(),
            len = text.length;
        if (len > max) {
            var new_text = text.substr(0, max);
            $(this).val(new_text);
        }
        c.text(max - len);
    });

  $('.post-comment-form').on('submit', function(e) {
      e.preventDefault();
      var boss = $(this),
          ed = boss.siblings('#post-comment-div-error'),
          ep = ed.find('#post-comment-p-error'),
          sd = boss.siblings('#post-comment-div-success'),
          sp = sd.find('#post-comment-p-success'),
          options = {
            type: 'post',
            dataType: 'json',
            success: function(response) {
                boss.find('#submit-comment-btn').toggle();
                boss.find('#submit-comment-btn-waiting').toggle();
                if(response.status == 'ko'){
                  ep.html(response.message);
                  ed.fadeIn("fast");
                }else if(response.status == 'ok'){
                  sp.html(response.message);
                  sd.show();

                }
            }
        };

    boss.find('#submit-comment-btn').toggle();
    boss.find('#submit-comment-btn-waiting').toggle();
    $(this).ajaxSubmit(options);

    });

    $('.open-comment-div').on('click', function(e) {
        var cid = $(this).data("id");
        $('#sub-comment-div-'+cid).fadeIn("sloww");
    });

    $('#load-more-comment-btn').on('click', function() {
        var href = $(this).data("href"),
            next = $(this).data("next"),
            max = $(this).data("max");
            $(this).css('visibility', 'hidden');
            $('#load-more-comment-waiting').show();
            $.post(href+next, function(data) {
                $('#load-more-comment-waiting').hide();
                $("#comment-div").append(data); 
                $('#load-more-comment-btn').css('visibility', 'visible');
            });
        $(this).data("next", next+1); 
        if(next == max){ $(this).remove(); }
    });
}); 

