<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <title><?php echo $thisPage['title']; ?></title>
    <meta name="description" content="<?php echo $thisPage['description']; ?>">
    <meta name="keyword" content="<?php echo $thisPage['keywords']; ?>">
    <meta name="author" content="<?php echo $fu_seo_setting['author'];?>">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <?php include 'layouts/head_tag.php'; ?>

  </head>
   <body>
    
    <?php include 'layouts/post-fu-modal.php'; ?>

    <div class="content">
      <?php include 'layouts/features.php'; ?>
      <div class="container-fluid">
        <?php include 'layouts/navbar.php'; ?>
      </div>
      <div class="container">
          <div class="row">
            <div class="col-lg-12">
              <?php include 'layouts/ads1.html'; ?>

              <?php echo $thisPage['content']; ?>

            <?php include 'layouts/ads2.html'; ?>
            </div>

          </div>
        </div>
    </div>
    <div class="md-overlay"></div>

   
    <?php include 'layouts/footer.php'; ?>

    <?php include 'layouts/beforebody.html'; ?>
  </body>
</html>