    <?php 
      $logo_style = '';
      if($fufu_theme['logo_out'] == '1'){
        $logo_style = 'top:-'.($fufu_theme['logo_height']/4).'px;position: absolute';
      }
    ?>

    <div id="main_navbar" class="navbar navbar-default">
      <div class="container">
        <div class="navbar-header">
          <?php if($fufu_theme['logo_format'] == 'text'): ?>
            <a href="<?php echo $ninja_config['siteUrl'].$fufu_slug['index'];?>" class="navbar-brand"><?php echo $fufu_theme['logo_text'];?></a>
          <?php else: ?>
            <a href="<?php echo $ninja_config['siteUrl'].$fufu_slug['index'];?>" class="navbar-brand navbar-logo" <?php echo $fufu_theme['logo_out'] == '1' ? 'style="padding-right:'.$fufu_theme['logo_width'].'"' : ''; ?>>
              <img style="<?php echo $logo_style; ?>" src="<?php echo str_replace('{{siteUrl}}',$ninja_config['siteUrl'], $fufu_theme['logo_image']);?>">
            </a>
          <?php endif; ?>
          <button class="navbar-toggle" type="button" data-toggle="collapse" data-target="#navbar-main">
            <i class="icon-menu-2" style="color: white;"></i>
          </button>
        </div>
        <div class="navbar-collapse collapse" id="navbar-main">
          <ul class="nav navbar-nav">
          <li class="dropdown">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="icon-folder"></i> <?php echo $lang['By-category'];?> <b class="caret"></b></a>
            <ul class="dropdown-menu">
              <li><a href="<?php echo $ninja_config['siteUrl'].$fufu_slug['index'];?>"><?php echo $lang['All'];?></a></li>
            <?php 
            if(count($fufu_cat_array) > 0): foreach($fufu_cat_array as &$fufu_cat): ?>
              <li><a href="<?php echo $ninja_config['siteUrl'].$fufu_slug['index'].'?cat='.$fufu_cat['cat_id']; ?>"><?php echo $fufu_cat['name']; ?></a></li>
            <?php endforeach; endif;?>
              </ul>
          </li>
          <?php if($requestPage == $fufu_slug['index'] OR $requestPage == 'NULL' OR $requestPage == '/'): ?>
            <li><a data-href="<?php echo $ninja_config['siteUrl'].'/ninja-applications/fufu/themes/fufutv/index-grid.php?'.$ninja->build_param($current, array('order_by'=>'added')); ?>" href="<?php echo $ninja_config['siteUrl'].$fufu_slug['index'].'?'.$ninja->build_param($current, array('order_by'=>'added')); ?>" class="navi-grid-href <?php echo isset($order_by) && $order_by == 'added' ? 'active' : '';?>"><i class="icon-calendar-7"></i> <?php echo $lang['Date-added'];?></a></li>
            <li><a data-href="<?php echo $ninja_config['siteUrl'].'/ninja-applications/fufu/themes/fufutv/index-grid.php?'.$ninja->build_param($current, array('order_by'=>'views')); ?>" href="<?php echo $ninja_config['siteUrl'].$fufu_slug['index'].'?'.$ninja->build_param($current, array('order_by'=>'views')); ?>" class="navi-grid-href <?php echo isset($order_by) && $order_by == 'views' ? 'active' : '';?>"><i class="icon-eye"></i> <?php echo $lang['Popularity']; ?></a></li>
            <li><a data-href="<?php echo $ninja_config['siteUrl'].'/ninja-applications/fufu/themes/fufutv/index-grid.php?'.$ninja->build_param($current, array('order_by'=>'rating')); ?>" href="<?php echo $ninja_config['siteUrl'].$fufu_slug['index'].'?'.$ninja->build_param($current, array('order_by'=>'rating')); ?>" class="navi-grid-href <?php echo isset($order_by) && $order_by == 'rating' ? 'active' : '';?>"><i class="icon-heart-empty-3"></i> <?php echo $lang['Rating']; ?></a></li>
          <?php endif; ?>
          <li><a id="random_a" href="<?php echo $ninja_config['siteUrl'].$ninja_fufu->random_fu();?>"><i class="icon-shuffle-4"></i></a></li>
          </ul>

          <ul class="nav navbar-nav navbar-right">
            <li><a href="#" class="button md-click md-setperspective" data-modal="md-1"><i class="icon-paper-plane-2"></i> Suggest a Video</a></li>
          </ul>

        </div>
      </div>
    </div>

    <?php if($fufu_config['is_rss']): ?>
    <!-- RSS MODAL BOX -->
    <div class="modal fade" id="rssModal" tabindex="-1" role="dialog" aria-labelledby="rssModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title" id="rssModalLabel"><i class="icon-rss-squared"></i> RSS</h4>
          </div>
          <div class="modal-body">
            <div class="row">
              <div class="col-lg-12 col-sx-12">
              <h3><a href="<?php echo $ninja_config['siteUrl'].$fufu_slug['rss'];?>"><?php echo $lang['All'];?></a></h3>
              </div>
              <div class="clearfix"></div>
              <div class="col-lg-6 col-sx-12">
                <h4><?php echo $lang['By-category'];?></h4>
                <?php if(in_array('cat', $fufu_config['rss_for'])): ?>  
                  <?php if(count($fufu_cat_array) > 0): foreach($fufu_cat_array as &$fufu_cat): ?> 
                    <li><a href="<?php echo $ninja_config['siteUrl'].$fufu_slug['rss'].'?cat='.$fufu_cat['cat_id'];?>"><?php echo $fufu_cat['name'];?></a></li>
                  <?php endforeach; ?>
                <?php endif; endif; ?>
              </div>
              <div class="col-lg-6 col-sx-12">
                <h4><?php echo $lang['By-type'];?></h4>
                <?php if(in_array('video', $fufu_config['fu_type'])): ?><li><a href="<?php echo $ninja_config['siteUrl'].$fufu_slug['rss'];?>?fu_type=video"><i class="icon-videocam-outline"></i> <?php echo $lang['Video'];?></a></li><?php endif; ?>
                <?php if(in_array('gif', $fufu_config['fu_type'])): ?><li><a href="<?php echo $ninja_config['siteUrl'].$fufu_slug['rss'];?>?fu_type=gif"><i class="icon-play-outline"></i> <?php echo $lang['Gif'];?></a></li><?php endif; ?>
                <?php if(in_array('vine', $fufu_config['fu_type'])): ?><li><a href="<?php echo $ninja_config['siteUrl'].$fufu_slug['rss'];?>?fu_type=vine"><i class="icon-play-circled"></i> <?php echo $lang['Vine'];?></a></li><?php endif; ?>
                <?php if(in_array('image', $fufu_config['fu_type'])): ?><li><a href="<?php echo $ninja_config['siteUrl'].$fufu_slug['rss'];?>?fu_type=img"><i class="icon-picture-outline"></i> <?php echo $lang['Picture'];?></a></li><?php endif; ?>
              </div>
            </div>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal"><?php echo $lang['Close']; ?></button>
          </div>
        </div>
      </div>
    </div>
    <?php endif; ?>