<?php

include '../../../ninja-controllers/cont.main.php';
require_once('twitteroauth/twitteroauth.php');

if(isset($_GET['oauth_token'])){

	$connection = new TwitterOAuth(trim($user_config['tw-consumer-key']), trim($user_config['tw-consumer-secret']), $_SESSION['tw_request_token'], $_SESSION['tw_request_token_secret']);
	$access_token = $connection->getAccessToken($_REQUEST['oauth_verifier']);
	if($access_token)
	{
			$connection = new TwitterOAuth(trim($user_config['tw-consumer-key']), trim($user_config['tw-consumer-secret']), $access_token['oauth_token'], $access_token['oauth_token_secret']);
			$params = array();
			$params['include_entities']='false';
			$content = $connection->get('account/verify_credentials',$params);

			if(!empty($content) && $content->screen_name != NULL && $content->name != NULL){

				$_SESSION['name']=$content->name;
				$_SESSION['image']=$content->profile_image_url;
				$_SESSION['twitter_id']=$content->screen_name;
				
				$ninja->db->limit_val='1';
			    $thisUser = $ninja->db->dbSelect($ninja_config['TABLES_PREFIX']."users","",array('email'=>$email)); 
			    if(count($thisUser) > 0){
			        $_SESSION['uId'] = $thisUser[0]['id'];
			        $_SESSION['thisUser'] = $thisUser[0];
			        header("Location: ".$ninja_config['siteUrl']);
			        exit;
			    }else{
			        $thisUserUname = $ninja->db->dbSelect($ninja_config['TABLES_PREFIX']."users","",array('username'=>$user_name));
			        if(count($thisUserUname) > 0){
			            $user_name = uniqid();
			        }
			        $user_info = array('username'=>$user_name,
			                'email'=>$email,
			                'avatar'=>$user_config['default_avt'],
			                'displayname'=>$user_name,
			                'role'=>'1',
			                'register_date'=>$now,
			                'register_ip'=>$_SERVER['REMOTE_ADDR'],
			                );
			        $ninja->db->dbInsert($ninja_config['TABLES_PREFIX']."users",$user_info);
			        $user_id = $ninja->db->last_insert_id; 
			        $thisUser = $ninja->db->dbSelect($ninja_config['TABLES_PREFIX']."users","",array('id'=>$user_id));
			        $_SESSION['uId'] = $thisUser[0]['id'];
			        $_SESSION['thisUser'] = $thisUser[0];
			        header("Location: ".$ninja_config['siteUrl']);
			        exit;
			    }

			}else{
				echo "<h4>Login Failed, Oauth Parameters is incorrect or connection to Twitter Server is down</h4>";
			}
	}else{

		echo "<h4> Login Error </h4>";
	}

}else{
	exit('Oauth Token Mismatch, please go back and try again');
}

?>