<?php if($fufu_config['is_user'] == '1' && $ninja_user->isLoggedIn()): ?>
<!-- EDIT USER INFO MODAL BOX-->
<div id="editInfo" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="editInfoLabel" aria-hidden="true" style="display: none;">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
          <h4 class="modal-title" id="editInfoLabel"><?php echo $lang['fufu-Edit-info'];?></h4>
        </div>
        <div class="modal-body">
        <a href="#" id="avt-edit">
          <img data-toggle="tooltip" data-placement="right" title="<?php echo $lang['Click-to-change-avt'];?>" src="<?php echo strtr($_SESSION['thisUser']['avatar'], array('{{siteUrl}}'=>$ninja_config['siteUrl'],'.jpg'=>'.jpg?'.time()));?>" alt="<?php echo $_SESSION['thisUser']['username'];?>" class="img-circle user-avt-lg">
        </a>
        <!-- ALERT DIV -->
        <div id="editinfo-success-div" class="alert alert-dismissable alert-info" style="display:none">
          <button type="button" class="close" data-dismiss="alert">×</button>
          <p id="editinfo-success-p"></p>
        </div>
        <div id="editinfo-alert-div" class="alert alert-dismissable alert-danger" style="display:none">
          <button type="button" class="close" data-dismiss="alert">×</button>
          <p id="editinfo-alert-p"></p>
        </div>
        <!-- END ALERT DIV -->

        <!-- EDIT INFO FORM -->
        <form id="editinfo" class="bs-example form-horizontal" method="POST" data-pu="<?php echo $ninja_config['siteUrl'];?>/ninja-applications/user/controllers/cont.userInfo.php" id="post-fu-form" style="margin-top: 100px;">
          <input type="hidden" name="action" value="editinfo">
          <div class="form-group">
            <label class="col-lg-3 control-label"><?php echo ucfirst($lang['username']);?></label>
            <div class="col-lg-9">
              <input type="text" class="form-control" disabled value="<?php echo $_SESSION['thisUser']['username'];?>">
            </div>
          </div>
          <div class="form-group">
            <label class="col-lg-3 control-label"><?php echo ucfirst($lang['email']);?></label>
            <div class="col-lg-9">
              <input type="text" class="form-control" disabled value="<?php echo $_SESSION['thisUser']['email'];?>">
            </div>
          </div>
          <div class="form-group">
            <label class="col-lg-3 control-label"><?php echo ucfirst($lang['display-name']);?></label>
            <div class="col-lg-9">
              <input type="text" class="form-control" name="displayname" value="<?php echo $_SESSION['thisUser']['displayname'];?>">
            </div>
          </div>
          <div class="form-group">
            <label class="col-lg-3 control-label"><?php echo ucfirst($lang['new-pw']);?></label>
            <div class="col-lg-9">
              <input type="password" class="form-control" name="newpw1">
            </div>
          </div>
          <div class="form-group">
            <label class="col-lg-3 control-label"><?php echo ucfirst($lang['confirm-new-pw']);?></label>
            <div class="col-lg-9">
              <input type="password" class="form-control" name="newpw2">
            </div>
          </div>
		    </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal"><i class="icon-cancel"></i></button>
          <button type="submit" class="btn btn-primary"><i class="icon-ok"></i> <?php echo $lang['Submit'];?></button>
        </div>
        </form>
      </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
  </div>
  <script>
    $( window ).load(function() {
      $('#avt-edit').on('click', function(){
        $('#editInfo').modal('hide');
      })
      $('#avt-edit').imgPicker({ 
          el: '.user-avt-lg',  
          type: 'avatar',
          minWidth: 160,
          minHeight: 160,
          api : '<?php echo $ninja_config['siteUrl'].'/ninja-applications/fufu/controllers/imgPicker/imgPicker/includes/api.php';?>',
          title: '<?php echo $lang['Upload-avt'];?>'
      }); 
    });
  </script>


<?php endif; ?>

