<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <title><?php echo $fu_seo_setting['fuTitle']; ?></title>
    <meta name="description" content="<?php echo $fu_seo_setting['fuDescription'];?>">
    <meta name="keyword" content="<?php echo $fu_seo_setting['fuKeyword'];?>">
    <meta name="author" content="<?php echo $fu_seo_setting['author'];?>">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta property="og:title" content="<?php echo $fu_seo_setting['fuTitle'];?>"/>
    <meta property="og:image" content="<?php echo (preg_match("#https?://#", $thisFu['original_img']) === 0) ? $ninja_config['siteUrl'].$thisFu['original_img'] : $thisFu['original_img'];?>"/>
    <meta property="og:site_name" content="<?php echo $fu_seo_setting['hometitle'];?>"/>
    <meta property="og:description" content="<?php echo $thisFu['description'];?>"/>

    <?php include 'layouts/head_tag.php'; ?>

  </head>
  <body>

    <?php include 'layouts/post-fu-modal.php'; ?>
    <div id="fb-root"></div>
    <script>(function(d, s, id) {
      var js, fjs = d.getElementsByTagName(s)[0];
      if (d.getElementById(id)) return;
      js = d.createElement(s); js.id = id;
      js.src = "//connect.facebook.net/en_US/all.js#xfbml=1&appId=<?php echo !isset($fufu_config['fb_id']) ? '342802565860349' : $fufu_config['fb_id'];?>";
      fjs.parentNode.insertBefore(js, fjs);
    }(document, 'script', 'facebook-jssdk'));</script>

    <div class="content">
	    <?php include 'layouts/display_fu.php'; ?>
	    <div class="container-fluid">
	        <?php include 'layouts/navbar.php'; ?>
	    </div>
	    <div class="container">
          <div class="row">
            <div class="col-lg-12">
    	      <?php include 'layouts/related.php'; ?>
    		</div>
    	  </div>
    	</div>

    </div>
    <div class="md-overlay"></div>

    <?php include 'layouts/footer.php'; ?>
    <?php include 'layouts/beforebody.html'; ?>

  	<script src="<?php echo $ninja_config['siteUrl'];?>/ninja-applications/fufu/themes/default/assets/js/custom-comment.js"></script>
  </body>
</html>